/**
 * Copyright 2014-present Palantir Technologies
 * @license MIT
 */
"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var d3 = require("d3");
var drawer_1 = require("./drawer");
var Area = (function (_super) {
    __extends(Area, _super);
    function Area(dataset) {
        var _this = _super.call(this, dataset) || this;
        _this._className = "area";
        _this._svgElementName = "path";
        return _this;
    }
    Area.prototype._applyDefaultAttributes = function (selection) {
        _super.prototype._applyDefaultAttributes.call(this, selection);
        selection.style("stroke", "none");
    };
    Area.prototype.selectionForIndex = function (index) {
        return d3.select(this.selection().node());
    };
    return Area;
}(drawer_1.Drawer));
exports.Area = Area;
