/**
 * Copyright 2014-present Palantir Technologies
 * @license MIT
 */
import { Animator } from "../animators/animator";
import { AttributeToAppliedProjector, AttributeToProjector } from "../core/interfaces";
export * from "./arcDrawer";
export * from "./arcOutlineDrawer";
export * from "./areaDrawer";
export * from "./lineDrawer";
export * from "./rectangleDrawer";
export * from "./segmentDrawer";
export * from "./symbolDrawer";
/**
 * A step for the drawer to draw.
 *
 * Specifies how AttributeToProjector needs to be animated.
 */
export declare type DrawStep = {
    attrToProjector: AttributeToProjector;
    animator: Animator;
};
/**
 * A DrawStep that carries an AttributeToAppliedProjector map.
 */
export declare type AppliedDrawStep = {
    attrToAppliedProjector: AttributeToAppliedProjector;
    animator: Animator;
};
