/**
 * Copyright 2014-present Palantir Technologies
 * @license MIT
 */
import * as d3 from "d3";
import { Dataset } from "../core/dataset";
import { SimpleSelection } from "../core/interfaces";
import { Drawer } from "./drawer";
import { AppliedDrawStep } from "./index";
export declare class Line extends Drawer {
    private _d3LineFactory;
    /**
     * @param dataset
     * @param _d3LineFactory A callback that gives this Line Drawer a d3.Line object which will be
     * used to draw with.
     */
    constructor(dataset: Dataset, d3LineFactory: () => d3.Line<any>);
    protected _applyDefaultAttributes(selection: SimpleSelection<any>): void;
    selectionForIndex(index: number): SimpleSelection<any>;
    /**
     *
     * @param data Data to draw. The data will be passed through the line factory in order to get applied
     * onto the canvas.
     * @param step
     * @private
     */
    protected _drawStepCanvas(data: any[][], step: AppliedDrawStep): void;
}
