"use strict";
var chai_1 = require("chai");
var d3 = require("d3");
var Plottable = require("../src");
var TestMethods = require("./testMethods");
before(function () {
    // Set the render policy to immediate to make sure ETE tests can check DOM change immediately
    Plottable.RenderController.renderPolicy("immediate");
    // Taken from https://stackoverflow.com/questions/9847580/how-to-detect-safari-chrome-ie-firefox-and-opera-browser
    var isFirefox = navigator.userAgent.indexOf("Firefox") !== -1;
    if (window.PHANTOMJS) {
        window.Pixel_CloseTo_Requirement = 2;
        // HACKHACK https://github.com/ariya/phantomjs/issues/13280
        Plottable.Utils.Set.prototype._updateSize = function () {
            this.size = this._values.length;
        };
    }
    else if (isFirefox) {
        // HACKHACK #2122
        window.Pixel_CloseTo_Requirement = 2;
    }
    else if (TestMethods.isIE()) {
        window.Pixel_CloseTo_Requirement = 2;
    }
    else {
        window.Pixel_CloseTo_Requirement = 0.5;
    }
});
after(function () {
    chai_1.assert.strictEqual(d3.selectAll("svg.svg").size(), 0, "all test svgs have been removed");
    chai_1.assert.strictEqual(d3.selectAll("div.div").size(), 0, "all test divs have been removed");
    chai_1.assert.strictEqual(d3.selectAll("style").size(), 0, "all style nodes have been removed");
});
